curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/customer/auth/session' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"signup_enabled": true,
"authenticated": true,
"authorize_url": "/api/v1/customer/auth/authorize?returnTo=%2Fapp"
}
Customer Session Status
StateSet Voice API operation.
GET
/
api
/
v1
/
customer
/
auth
/
session
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/customer/auth/session' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"signup_enabled": true,
"authenticated": true,
"authorize_url": "/api/v1/customer/auth/authorize?returnTo=%2Fapp"
}
StateSet Voice API operation.
Response
object
boolean
required
boolean
required
Whether the customer self-serve plane is enabled on this server
boolean
required
Whether the request carries a valid customer session cookie
string,null
required
Sign-in URL to start the OAuth flow; null when signup is disabled
Status codes
| Code | Meaning |
|---|---|
200 | Customer session status: whether signup is enabled and whether the caller is authenticated |
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/customer/auth/session' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"signup_enabled": true,
"authenticated": true,
"authorize_url": "/api/v1/customer/auth/authorize?returnTo=%2Fapp"
}
Last modified on August 31, 2026